flakey store test FAIL: store_test.go:60: StoreSuite.SetUpTest

Bug #1318527 reported by John A Meinel on 2014-05-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core
Medium
Andrew Wilkins

Bug Description

This test fails as often as it passes for me (about 50/50).

----------------------------------------------------------------------
FAIL: store_test.go:60: StoreSuite.SetUpTest

[LOG] 0:00.001 INFO juju.store store opened, connecting to: localhost:41086
[LOG] 0:00.004 ERROR juju.store error ensuring stat.counters index: E11000 duplicate key error index: juju.stat.tokens.$t_1 dup key: { : "wordpress" }
store_test.go:66:
    c.Assert(err, gc.IsNil)
... value *mgo.LastError = &mgo.LastError{Err:"E11000 duplicate key error index: juju.stat.tokens.$t_1 dup key: { : \"wordpress\" }", Code:11000, N:0, Waited:0, FSyncFiles:0, WTimeout:false, UpdatedExisting:false, UpsertedId:interface {}(nil)} ("E11000 duplicate key error index: juju.stat.tokens.$t_1 dup key: { : \"wordpress\" }")

----------------------------------------------------------------------
PANIC: server_test.go:36: StoreSuite.TestServerCharmInfo

[LOG] 0:00.011 INFO juju.testing reset successfully reset admin password
... Panic: Fixture has panicked (see related PANIC)
OOPS: 24 passed, 8 skipped, 1 FAILED, 6 MISSED
--- FAIL: Test (4.63 seconds)
FAIL
exit status 1
FAIL launchpad.net/juju-core/store 4.703s

I'm running on Trusty with juju-mongodb in case that is relevant (with the fix for bug #1301353).

I have the feeling it is just a race condition where one test is causing an error to occur in Mongo, but it isn't cleaning out the mongo error condition, and then the next test comes along and during SetUp the mongo is still in failure state.

Related branches

Changed in juju-core:
importance: High → Medium
Andrew Wilkins (axwalk) wrote :

I think I broke this when I changed the store package to use the mgo suite from juju-core/testing.

Changed in juju-core:
milestone: none → 1.19.3
assignee: nobody → Andrew Wilkins (axwalk)
status: Triaged → In Progress
Andrew Wilkins (axwalk) on 2014-05-14
Changed in juju-core:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2014-05-30
Changed in juju-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers